Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface GraphicalM4Object

All Superinterfaces:
  M4Data, M4Object

All Known Subinterfaces:
  BaseAttribute, Chain, Concept, Feature, MultiColumnFeature, ParameterObject, Relation, Step, Value

All Known Implementing Classes:
  BaseAttribute, Chain, Concept, Feature, GraphicalM4Object, MultiColumnFeature, ParameterObject, Relation, Step, Value

    public interface GraphicalM4Object

extends M4Data

Version:
  $Id: GraphicalM4Object.java,v 1.5 2006/09/27 14:59:58 euler Exp $
Author:
  Daniel Hakenjos, Timm Euler

Method Summary
`java.awt.Point` | `getPoint()` Get the coordinates of this object.
`void` | `setPoint(java.awt.Point location)` Set the coordinates for this object.

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Method Detail

### setPoint

    void setPoint(java.awt.Point location)
                  throws M4Exception

  Set the coordinates for this object.

  Parameters:
    `point` - The Point with the new coordinates for this M4 object.
  Throws:
    `M4Exception`

### getPoint

    java.awt.Point getPoint()
                            throws M4Exception

  Get the coordinates of this object.

  Returns:
    A Point object with the coordinates of this M4 object.
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005